class ApplicationController < ActionController::Base
  protect_from_forgery
  helper_method :current_user
  helper_method :split_str
  helper_method :kind_from_id
  
  private
  
  def current_user
	@current_user ||= User.find(session[:user_id]) if session[:user_id]
  end
  
  def split_str(str, len = 10)
  fragment = /.{#{len}}/
  str.split(/(\s+)/).map! { |word|
    (/\s/ === word) ? word : word.gsub(fragment, '\0&shy;')
  }.join
  end
  
  def kind_from_id(id)
  if id == 1 then return "Task" end
  if id == 2 then return "Book" end
  if id == 3 then return "Music" end
  if id == 4 then return "Movie" end
  if id == 5 then return "Game" end
  if id == 6 then return "Other" end
  end
end
