class ItemsController < ApplicationController
  # GET /items
  # GET /items.json
  def index
    @items = Item.all
	if !current_user || current_user.level < 4 then redirect_to root_path, :notice => 'You are not authorized to list items!' else
    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @items }
    end
	end
  end

  # GET /items/1
  # GET /items/1.json
  def show
	redirect_to root_url
    #@item = Item.find(params[:id])

    #respond_to do |format|
    #  format.html # show.html.erb
    #  format.json { render json: @item }
    #end
  end

  # GET /items/new
  # GET /items/new.json
  def new
    @item = Item.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @item }
    end
  end

  # GET /items/1/edit
  def edit
    @item = Item.find(params[:id])
	if !current_user || (current_user.level < 4 && current_user != @item.user) then redirect_to root_path, :notice => 'You are not authorized to edit that item!' end
  end

  # POST /items
  # POST /items.json
  def create
    @item = Item.new(params[:item])
	@item.user_id = current_user.id

    respond_to do |format|
      if @item.save
        format.html { redirect_to my_path, notice: 'Item was successfully created.' }
        format.json { render json: my_path, status: :created, location: @item }
      else
        format.html { render action: "new" }
        format.json { render json: @item.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /items/1
  # PUT /items/1.json
  def update
    @item = Item.find(params[:id])

    respond_to do |format|
      if @item.update_attributes(params[:item])
        format.html { redirect_to my_path, notice: 'Item was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @item.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /items/1
  # DELETE /items/1.json
  def destroy
    @item = Item.find(params[:id])
    @item.destroy

    respond_to do |format|
      format.html { redirect_to my_path }
      format.json { head :no_content }
    end
  end
end
