class UsersController < ApplicationController
  # GET /users
  # GET /users.json
  def index
	if !current_user || current_user.level < 4 then redirect_to root_path, :notice => 'You are not authorized to list users!' else  
    @users = User.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @users }
    end
	end
  end

  # GET /users/1
  # GET /users/1.json
  def show
    @user = User.find(params[:id])
	
	if params[:order] == "asc" 	
		if params[:sort] == "kind" then @items = Item.where("user_id = ?", @user.id).order("kind ASC")
		elsif params[:sort] == "name" then @items = Item.where("user_id = ?", @user.id).order("name ASC")
		elsif params[:sort] == "prio" then @items = Item.where("user_id = ?", @user.id).order("priority ASC")
		else @items = Item.where("user_id = ?", @user.id).order("priority ASC") end
	else
		if params[:sort] == "kind" then @items = Item.where("user_id = ?", @user.id).order("kind DESC")
		elsif params[:sort] == "name" then @items = Item.where("user_id = ?", @user.id).order("name DESC")
		elsif params[:sort] == "prio" then @items = Item.where("user_id = ?", @user.id).order("priority DESC")
		else @items = Item.where("user_id = ?", @user.id).order("priority DESC") end
	end
	
    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @user }
    end
  end

  # GET /users/new
  # GET /users/new.json
  def new
    @user = User.new
	@user.level = 1	

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @user }
    end
  end

  # GET /users/1/edit
  def edit
	if !current_user || current_user.level < 4 then redirect_to root_path, :notice => 'You are not authorized to edit users!' end
    @user = User.find(params[:id])
  end
  
  # GET /users/settings
  def settings
	if current_user then @user = User.find(current_user.id) else redirect_to log_in_path, :notice => 'You must be logged in to view your settings!' end
  end  

  # POST /users
  # POST /users.json
  def create
    @user = User.new(params[:user])
	@user.level = 1
	@user.save
	
#	if @user.save
#		redirect_to root_url, :notice => "Created account!"
#	else
#		render "new"
#	end

    respond_to do |format|
      if @user.save
        format.html { redirect_to root_url, notice: 'Account was successfully created.' }
        format.json { render json: root_url, status: :created, location: @user }
      else
        format.html { render action: "new" }
        format.json { render json: @user.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /users/1
  # PUT /users/1.json
  def update
    @user = User.find(params[:id])

    respond_to do |format|
      if @user.update_attributes(params[:user])
        format.html { redirect_to root_url, notice: 'Update successful.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @user.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /users/1
  # DELETE /users/1.json
  def destroy
    @user = User.find(params[:id])
    @user.destroy

    respond_to do |format|
      format.html { redirect_to users_url }
      format.json { head :no_content }
    end
  end
end
