class User < ActiveRecord::Base
  attr_accessible :email, :level, :password_hash, :password_salt, :public, :password_confirmation, :name, :password
  attr_accessor :password
  before_save :encrypt_password
  
  validates_presence_of :email
  validates_uniqueness_of :email
  validates_format_of :email, :with => /\A[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]+\z/  
  validates_presence_of :name  
  validates_presence_of :password, :on => :create
  validates_confirmation_of :password  
  
  
	def self.authenticate(email, password)
		user = find_by_email(email)
		if user && user.password_hash == BCrypt::Engine.hash_secret(password, user.password_salt)
			user
		else
			nil
		end
	end
  
  
	def encrypt_password
		if password.present?
			self.password_salt = BCrypt::Engine.generate_salt
			self.password_hash = BCrypt::Engine.hash_secret(password, password_salt)
		end
	end	
  
end
